package com.njcn.gateway.enums;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年06月04日 11:17
 */
@Getter
public enum GateWayEnum {

    /**
     * A0200 ~ A0249 作用于网关业务枚举
     * 网关业务枚举响应
     */
    NO_AUTHORIZATION("A0201", "访问未授权"),

    //特殊的code，与common中的code保持一致
    TOKEN_EXPIRE_JWT("A0024", "token已过期"),

    ACCESS_TOKEN_EXPIRE_JWT("A0202", "access_token已过期"),

    TOKEN_FORBIDDEN_JWT("A0203", "token已被禁止访问");


    private final String code;

    private final String message;

    GateWayEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
